if (is_action)
{

	// CONDITIONS FOR ACTIONS DONE
	// -----------------------------------------------	
	
	// g_flag[0] incremented for each action
	g_flag[0] = g_flag[0] + 1;
	
	// in the forest, increase g_flag[3] 
	if (g_room == 02)
	{
		g_flag[3] = g_flag[3] + 1;
	}
	else // otherwise clear it, to restart from 0 if 
	     // player return to forest again
	{
		g_flag[3] = 0;
	}

	// if there is the inspector, increment g_flag[6]
	if (g_flag[2] == 1)
	{
		g_flag[6] = g_flag[6] + 1;
	}	
	
	return;
}

// CONDITIONS THAT DO NOT MODIFY GAME STATUS
// ------------------------------------------------

// if player is carrying lamp (on) or it is in the dark room, change description of room
if ( ( (o_room[$(@"_lampOn00_"@)] == -1) ||  // lamp (on) is carryied
			 ((o_room[$(@"_lampOn00_"@)] == g_room))  // lamp (on) in the room
		 ) 
		 && (g_room == 09)
	 ) 
{
	g_desc[09] = 
		@"You are in a dark room.
		  Fortunately, your lamp show you two exits to 
			$c_west09_$West$ and
			a $c_south09_$South$."@;
}

// if player is in the forest for 1 or 2 actions, write an additional text
if (g_room == 02)
{
	if (g_flag[3]==1)
	{
		g_addtext = g_addtext + ' ' +
			@"This forest is disturbing... You feel strange..."@;
	}
	else if (g_flag[3]==2)
	{
		g_addtext = g_addtext + ' ' +
			@"You feel a strange sensation in your body... You instict tell you to go away...."@;
	}
}


// CONDITIONS MODIFY THE GAME STATUS
// --------------------------------------------

// if never assigned, we set g_flag[1] with the number of "pull" of the chain to win
if (g_flag[1]==0)
{
	g_flag[1] = f_getrandomint(1,3);
}

// in the forest, at action 3 the player deads
if ((g_room == 02) && (g_flag[3]==3))
{
	g_mex = g_mex + ' ' + 
		@"Suddenly you know that you cannot move anymore...
		  You are petrifying as the trees!!! What an horrible end..."@;
	g_flag[4] = 37; // (see message 37 of messages.txt)
	g_room = -1; 
	return; // continuing with "conditions.js" is unuseful, player is dead...
}

// the tax inspector is appeared and player did a not void action (g_flag[6] is 1)
// and the inspector is not killed (in that case g_flag[2] is 2)
if ((o_room[$(@"_inspector00_"@)] != 0) && (g_flag[2] == 1) && (g_flag[6] == 1))
{
	// if player has at least 1 object, the inspector takes a random one and go away
	var l_countCarryiedObjects = 0;
	var l_totalObjectsInGame = o_room.length; // o_room is a list with a number of items equal to the number of game objects
  var l_choosenObject = 0; // the object choosen by inspector
	var l_randomScore = 0; // random score to decide which object

	// cycle for i from g_defaultobjnum (index of first non deafult object) 
	// to total number of game objects
	for (var i = g_defaultobjnum; i < l_totalObjectsInGame; i++)
    if (o_room[i]<0) // carryied or worn
		{
      l_countCarryiedObjects = l_countCarryiedObjects + 1;
			var x = f_getrandomint(1,10); // for each object assign a random number from 1 to 10
			if (x > l_randomScore) // if x > max score till now, the choosen object becomes the current one
			{
					l_randomScore = x;
					l_choosenObject = i;
			}
		}

	// if player has at least one item
	if (l_countCarryiedObjects > 0)
	{
		o_room[$(@"_inspector00_"@)] = 0; // inspector disappears
		o_room[l_choosenObject] = 0; // object disappears
		g_mex = g_mex + ' ' +
			@"The tax inspector ask you to pay for your debts
				and he takes one of your items as advance...! For your luck
				then he goes away..."@;
	}
	else // altrimenti finisce in gattabuia!
	{
		g_room = -1;
		g_flag[4] = 38; // player ends to jail (see messages.txt)
		g_mex = g_mex + ' ' +
			@"The tax inspector ask you to pay for your debts and you don't have anything...
			  Unfortunately for you, the punishment is jail..."@;
		return; // continuing with "conditions.js" is unuseful, player is dead...
	}
	
}

// inspector appears after 20 actions from the adventure start
// if player is not in room 02, 09 and if inspector is never appeared.
if (
			(g_flag[2] == 0)  // inspector non still appeared
			&& (g_flag[0] >= 20) // player does at least 20 actions
			&& (g_room != 02) && (g_room != 09) // player is not in room 02 or 09
	 )
{
	g_flag[2] = 1; // inspector will not appear in future
	o_room[$(@"_inspector00_"@)] = g_room; // inspector appears in the current player room
	g_mex = g_mex + ' ' + @"The tax inspector is here!"@;
}



